Skip to content
Start here

Base image

images.v1.blobs.get(strimage_id, BlobGetParams**kwargs) -> BinaryResponseContent
GET/accounts/{account_id}/images/v1/{image_id}/blob

Fetch base image. For most images this will be the originally uploaded file. For larger images it can be a near-lossless version of the original.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Images ReadImages Write
ParametersExpand Collapse
account_id: str

Account identifier tag.

maxLength32
image_id: str

Image unique identifier.

maxLength32
ReturnsExpand Collapse
BinaryResponseContent

Base image

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
blob = client.images.v1.blobs.get(
    image_id="image_id",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(blob)
content = blob.read()
print(content)
Returns Examples